Bug 814368 - SELinux is preventing /usr/bin/gdb from using the 'sys_ptrace' capabilities.
SELinux is preventing /usr/bin/gdb from using the 'sys_ptrace' capabilities.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:55dfa6a2d03fc1d36562f7b994e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-19 13:31 EDT by Luke Macken
Modified: 2016-09-19 22:43 EDT (History)
4 users (show)

See Also:
Fixed In Version: selinux-policy-3.10.0-118.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-25 00:59:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2012-04-19 13:31:45 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.2-1.fc17.x86_64
time:           Thu 19 Apr 2012 01:31:18 PM EDT

description:
:SELinux is preventing /usr/bin/gdb from using the 'sys_ptrace' capabilities.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that gdb should have the sys_ptrace capability by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep gdb /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:NetworkManager_t:s0
:Target Context                system_u:system_r:NetworkManager_t:s0
:Target Objects                 [ capability ]
:Source                        gdb
:Source Path                   /usr/bin/gdb
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           gdb-7.4.50.20120120-40.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-116.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.2-1.fc17.x86_64 #1 SMP Fri
:                              Apr 13 20:23:49 UTC 2012 x86_64 x86_64
:Alert Count                   2
:First Seen                    Thu 19 Apr 2012 01:30:03 PM EDT
:Last Seen                     Thu 19 Apr 2012 01:30:03 PM EDT
:Local ID                      40bfd248-9a0d-4825-bf60-f2a2e3999f0a
:
:Raw Audit Messages
:type=AVC msg=audit(1334856603.873:320): avc:  denied  { sys_ptrace } for  pid=2088 comm="gdb" capability=19  scontext=system_u:system_r:NetworkManager_t:s0 tcontext=system_u:system_r:NetworkManager_t:s0 tclass=capability
:
:
:type=SYSCALL msg=audit(1334856603.873:320): arch=x86_64 syscall=ptrace success=yes exit=0 a0=10 a1=345 a2=0 a3=0 items=0 ppid=2087 pid=2088 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=gdb exe=/usr/bin/gdb subj=system_u:system_r:NetworkManager_t:s0 key=(null)
:
:Hash: gdb,NetworkManager_t,NetworkManager_t,capability,sys_ptrace
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Luke Macken 2012-04-19 13:33:44 EDT
$ sudo getsebool deny_ptrace
deny_ptrace --> off
Comment 2 Daniel Walsh 2012-04-19 14:10:35 EDT
gdb should not be crashing...

Fixed in selinux-policy-3.10.0-117.fc17
Comment 3 Fedora Update System 2012-04-23 02:44:23 EDT
selinux-policy-3.10.0-117.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-117.fc17
Comment 4 Fedora Update System 2012-04-23 20:57:13 EDT
selinux-policy-3.10.0-118.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-118.fc17
Comment 5 Fedora Update System 2012-04-23 23:15:43 EDT
Package selinux-policy-3.10.0-118.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-118.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6452/selinux-policy-3.10.0-118.fc17
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-04-25 00:59:56 EDT
selinux-policy-3.10.0-118.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.